foreman-tasks - Bug #11381

undefined method "count' for #<ForemanTasks::Task state: "stopped", result: "error"> breaks
dashboard.

08/17/2015 05:34 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category:
Target version:
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-t
asks/pull/135
Description
NoMethodError: undefined method “count' for #<ForemanTasks::Task state: "stopped", result: "error"
>

| /home/foreman/gems/gems/activemodel-3.2.21/1ib/active_model/attribute_methods.rb:407:in ‘method
_missing'

| /home/foreman/gems/gems/activerecord-3.2.21/1ib/active_record/attribute_methods.rb:149:in “meth
od_missing'

| /home/foreman/gems/gems/foreman-tasks—-0.7.3/app/views/foreman_tasks/tasks/dashboard/_tasks_stat
us.html.erb:12:in “block in _e928fd688c34341206773096a4f6e60a"

| /home/foreman/gems/gems/activerecord-3.2.21/1ib/active_record/relation/delegation.rb:6:in “each

| /home/foreman/gems/gems/activerecord-3.2.21/1ib/active_record/relation/delegation.rb:6:in “each

| /home/foreman/gems/gems/foreman-tasks-0.7.3/app/views/foreman_tasks/tasks/dashboard/_tasks_stat
us.html.erb:8:in ~_e928fd688c34341206773096a4d4foecla’

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/template.rb:145:in “block in render'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:125:in “instru
ment'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/template.rb:143:in "render'

| /home/foreman/gems/gems/deface-1.0.1/1ib/deface/action_view_extensions.rb:41:in "render'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/partial_renderer.rb:265:1in
render_partial'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/partial_renderer.rb:238:in
block in render'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/abstract_renderer.rb:38:in
block in instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/notifications.rb:123:in “block
in instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/notifications/instrumenter.rb:?2
O:in " instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in 'instru
ment'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/abstract_renderer.rb:38:in
instrument'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/partial_renderer.rb:237:in
render'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/renderer.rb:41:in "render_pa
rtial'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/renderer.rb:15:in " render'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/helpers/rendering_helper.rb:24:in “re
nder'

| /home/foreman/git/foreman/app/helpers/dashboard_helper.rb:39:in 'render_widget'

| /home/foreman/git/foreman/app/views/dashboard/index.html.erb:20:in "block (2 levels) in _80bcbb
2562b01edb4bcl239974a7888b"'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/helpers/capture_helper.rb:40:in “bloc
k in capture'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/helpers/capture_helper.rb:187:in “wit
h_output_buffer'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/helpers/capture_helper.rb:40:in " capt
ure'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/helpers/tag_helper.rb:95:in "content_
tag'

| /home/foreman/git/foreman/app/views/dashboard/index.html.erb:14:in ‘block in _80bcbb2562b0ledb4
bcl239974a7888b"

| /home/foreman/gems/gems/activerecord-3.2.21/1ib/active_record/associations/collection_proxy.rb:
91:in " each'

| /home/foreman/gems/gems/activerecord-3.2.21/1lib/active_record/associations/collection_proxy.rb:
91:in "method_missing'

| /home/foreman/git/foreman/app/views/dashboard/index.html.erb:13:in *_80bcbb2562b01ledb4dbcl1239974
a7888b"

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/template.rb:145:in “block in render'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:125:in "instru
ment'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/template.rb:143:in “render'

| /home/foreman/gems/gems/deface-1.0.1/1ib/deface/action_view_extensions.rb:41:in ‘render'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/renderer/template_renderer.rb:47:in
block (2 levels) in render_template'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/renderer/abstract_renderer.rb:38:in
block in instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/notifications.rb:123:in “block
in instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/notifications/instrumenter.rb:2
O:in “instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in “instru
ment'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/renderer/abstract_renderer.rb:38:in
instrument'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/template_renderer.rb:46:1in
block in render_template'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/template_renderer.rb:54:in
render_with_layout'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/renderer/template_renderer.rb:45:in
render_template'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_view/renderer/template_renderer.rb:18:in
render'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/renderer.rb:36:in "render_te

mplate'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_view/renderer/renderer.rb:17:in " render'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/abstract_controller/rendering.rb:110:in °_render_
template'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/streaming.rb:225:in " _ren

der_template'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/abstract_controller/rendering.rb:103:in "render_t
o_body'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/renderers.rb:28:in "rende
r_to_body'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/compatibility.rb:50:in "r
ender_to_body'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/abstract_controller/rendering.rb:88:in " render'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/rendering.rb:16:in "rende
rl

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:40:1in
"block (2 levels) in render'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/core_ext/benchmark.rb:5:in “blo
ck in ms'

| /opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in ‘realtime'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/core_ext/benchmark.rb:5:in “ms'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:40:1in
"block in render'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:83:in
‘cleanup_view_runtime'

| /home/foreman/gems/gems/activerecord-3.2.21/1ib/active_record/railties/controller_runtime.rb:24
:in “cleanup_view_runtime'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:39:1in
‘render'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/implicit_render.rb:10:in
‘default_render'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal/mime_responds.rb:196:in
respond_to'

| /home/foreman/git/foreman/app/controllers/dashboard_controller.rb:8:in ' index'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/implicit_render.rb:4:in
send_action'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/abstract_controller/base.rb:167:in "process_actio
n'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal/rendering.rb:10:in "proce
ss_action'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/abstract_controller/callbacks.rb:18:in ‘block in
process_action'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:649:in “block (4 1
evels) in _run__2265884068973212748__process_action__4318705150246261802__callbacks'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:215:in “block in _
conditional_callback_around_8177"

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:326:in “around'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:310:in ' _callback_
around_3035"

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:214:in ' _condition
al_callback_around_8177"

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:626:in "block (3 1
evels) in _run__ 2265884068973212748__process_action__4318705150246261802__callbacks'

| /home/foreman/gems/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:215:in "block in _
conditional_callback_around_8176"

| /home/foreman/git/foreman/app/controllers/concerns/application_shared.rb:13:in "set_timezone'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:214:in ' _condition
al_callback_around_8176"

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:625:in "block (2 1
evels) in _run__2265884068973212748__process_action__4318705150246261802__callbacks'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:215:in “block in _
conditional_callback_around_8175"

| /home/foreman/git/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:214:in ' _condition
al_callback_around_8175"

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:448:in ‘block in _
run__2265884068973212748__process_action__4318705150246261802__callbacks'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:215:in "block in _
conditional_callback_around_8174"

| /home/foreman/gems/gems/activesupport—-3.2.21/1ib/active_support/callbacks.rb:326:in "around'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:310:in '_callback_
around_13"'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:214:in ' _condition
al_callback_around_8174"

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:414:in ' _run__ 2265
884068973212748__process_action_ 4318705150246261802__callbacks'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:405:in *__ run_call
back'
| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:385:in ' _run_proce

ss_action_callbacks'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:81:in "“run_callbac
ks'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/abstract_controller/callbacks.rb:17:in “process_a
ction'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/rescue.rb:29:in “process_
action'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/instrumentation.rb:30:in
"block in process_action'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/notifications.rb:123:in “block
in instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/notifications/instrumenter.rb:?2
O:in " instrument'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in "instru
ment'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:29:in
‘process_action’

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/params_wrapper.rb:207:1in
‘process_action'

| /home/foreman/gems/gems/activerecord-3.2.21/1lib/active_record/railties/controller_runtime.rb:18
:in “process_action'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/abstract_controller/base.rb:121:in “process'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/abstract_controller/rendering.rb:45:in “process'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal.rb:203:1in “dispatch’

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_controller/metal/rack_delegation.rb:14:1in
‘dispatch'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_controller/metal.rb:246:in “block in actio
nl

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/routing/route_set.rb:73:in “call'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/routing/route_set.rb:73:in “dispa
tch'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/routing/route_set.rb:36:in “call'

| /home/foreman/gems/gems/journey-1.0.4/1ib/journey/router.rb:68:in "block in call’

| /home/foreman/gems/gems/journey-1.0.4/1ib/journey/router.rb:56:in “each'

| /home/foreman/gems/gems/journey—-1.0.4/1ib/journey/router.rb:56:in “call'

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_set.rb:608:in “call
L}

| /home/foreman/gems/gems/apipie-rails-0.2.6/1lib/apipie/extractor/recorder.rb:97:in “call'

| /home/foreman/gems/gems/apipie-rails-0.2.6/1lib/apipie/middleware/checksum_in_headers.rb:27:1in
call'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/best_standards_support
.rb:17:in “call’
| /home/foreman/gems/gems/rack-1.4.7/1ib/rack/etag.rb:23:in “call'
| /home/foreman/gems/gems/rack-1.4.7/1ib/rack/conditionalget.rb:25:in “call'
| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/head.rb:14:in “call’
| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/params_parser.rb:21:1in
‘call!
| /home/foreman/git/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'
| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/flash.rb:242:in “call’
| /home/foreman/gems/gems/rack-1.4.7/1ib/rack/session/abstract/id.rb:210:in " context'
| /home/foreman/gems/gems/rack—-1.4.7/1lib/rack/session/abstract/id.rb:205:in “call’
| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/cookies.rb:341:in ‘cal
ll

| /home/foreman/gems/gems/activerecord-3.2.21/1ib/active_record/query_cache.rb:64:in “call'

| /home/foreman/gems/gems/activerecord-3.2.21/1ib/active_record/connection_adapters/abstract/conn
ection_pool.rb:479:in “call'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/callbacks.rb:28:in "bl
ock in call'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:405:in "_run_ 8878
68195926346614__call_ 1352537175482697129__callbacks"'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:405:in '_ run_call
back'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:385:in '_run_call_
callbacks'

| /home/foreman/gems/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:81:in "run_callbac
ks'

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/callbacks.rb:27:in “ca
11"

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/remote_ip.rb:31:in ‘ca
11"

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/debug_exceptions.rb:16
:in “call!

| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/show_exceptions.rb:56:
in “call'

| /home/foreman/gems/gems/railties-3.2.21/1ib/rails/rack/logger.rb:32:in “call_app'

| /home/foreman/gems/gems/railties—-3.2.21/1ib/rails/rack/logger.rb:18:in “call’

| /home/foreman/gems/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/request_id.rb:22:in "¢
all’

| /home/foreman/gems/gems/rack-1.4.7/1ib/rack/methodoverride.rb:21:in “call'

| /home/foreman/gems/gems/rack-1.4.7/1ib/rack/runtime.rb:17:in “call'

| /home/foreman/gems/gems/activesupport-3.2.21/1ib/active_support/cache/strategy/local_cache.rb:7
2:in “call'
| /home/foreman/gems/gems/rack-1.4.7/1lib/rack/lock.rb:15:in “call'
| /home/foreman/gems/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/static.rb:83:in “call’
| /home/foreman/gems/gems/rack—cache-1.2/1lib/rack/cache/context.rb:136:in " forward'
| /home/foreman/gems/gems/rack—-cache-1.2/1lib/rack/cache/context.rb:245:in " fetch'
| /home/foreman/gems/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:185:in " lookup'
| /home/foreman/gems/gems/rack—-cache-1.2/1lib/rack/cache/context.rb:66:in “call!’
| /home/foreman/gems/gems/rack—cache-1.2/1lib/rack/cache/context.rb:51:in “call'
| /home/foreman/gems/gems/railties-3.2.21/1ib/rails/engine.rb:484:in “call'
| /home/foreman/gems/gems/railties-3.2.21/1ib/rails/application.rb:231:in ‘call’
| /home/foreman/gems/gems/railties—3.2.21/1lib/rails/railtie/configurable.rb:30:in "method_missing

4.7/1ib/rack/builder.rb:134:in “call'
/home/foreman/gems/gems/rack-1.4.7/1lib/rack/urlmap.rb:64:in “block in call'

4.7/1lib/rack/urlmap.rb:49:in “each'
/home/foreman/gems/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “call'

| /home/foreman/gems/gems/rack-1.
|
| /home/foreman/gems/gems/rack-1.
|

| /root/.gem/gems/passenger-5.0.7/1lib/phusion_passenger/rack/thread_handler_extension.rb:89:in "p
rocess_request'

| /root/.gem/gems/passenger-5.0.7/1ib/phusion_passenger/request_handler/thread_handler.rb:149:in
‘accept_and_process_next_request'

| /root/.gem/gems/passenger-5.0.7/1lib/phusion_passenger/request_handler/thread_handler.rb:110:in
"main_loop'

| /root/.gem/gems/passenger-5.0.7/1lib/phusion_passenger/request_handler.rb:414:in “block (3 level
s) in start_threads'

| /root/.gem/gems/passenger-5.0.7/1lib/phusion_passenger/utils.rb:111:in “block in create_thread_a
nd_abort_on_exception'

| /home/foreman/gems/gems/logging-2.0.0/1ib/logging/diagnostic_context.rb:448:in “call'

| /home/foreman/gems/gems/logging-2.0.0/1ib/logging/diagnostic_context.rb:448:in “block in create
_with_logging_context'
2015-08-17T10:32:52 [app] [I] Rendered common/500.html.erb within layouts/application (3.6ms)
2015-08-17T10:32:52 [app] I[I] Rendered layouts/base.html.erb (2.2ms)
2015-08-17T10:32:52 [app] [I] Completed 500 Internal Server Error in 1042.9ms (Views: 8.5ms | Acti
veRecord: 55.0ms)

Related issues:
Has duplicate Foreman - Bug #11765: Dashboard error - undefined method “count... Duplicate 09/10/2015

Associated revisions

Revision e2b4009e - 09/07/2015 09:50 AM - Marek Hulan
Fixes #11381 - fix counting on MySQL

Revision f93b8ec1 - 09/07/2015 10:21 AM - lvan Necas
Merge pull request #135 from ares/fix/11381

Fixes #11381 - fix counting on MySQL

History

#1 - 09/07/2015 07:29 AM - Alex Balk

Getting the same, only this time with "stopped successful" tasks. Which means the dashboard is completely unusable for us.

NoMethodError

undefined method “count' for #<ForemanTasks::Task state: "stopped", result: "success">
/usr/share/foreman/vendor/ruby/1.9.1/gems/activemodel-3.2.21/1ib/active_model/attribute_methods.rb:407:in ‘met
hod_missing'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1ib/active_record/attribute_methods.rb:149:in "m
ethod_missing'
/usr/share/foreman/vendor/ruby/1.9.1/gems/foreman-tasks-0.7.2/app/views/foreman_tasks/tasks/dashboard/_tasks_s
tatus.html.erb:12:in “block in _50a60c8£905836a49%9a357bfbee7d7cl7’
/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1lib/active_record/relation/delegation.rb:6:in “e
ach'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1ib/active_record/relation/delegation.rb:6:in "e
ach'
/usr/share/foreman/vendor/ruby/1.9.1/gems/foreman-tasks-0.7.2/app/views/foreman_tasks/tasks/dashboard/_tasks_s
tatus.html.erb:8:in ~_50a60c8£905836a49a357bf6ee7d7cl7"
/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_view/template.rb:145:in "block in rende
rl

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1lib/active_support/notifications.rb:125:in "ins
trument'
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
n “render_partial'
/usr/share/foreman/vendor/ruby/1.
"block in render'
/usr/share/foreman/vendor/ruby/1.
"block in instrument'

n

n
/usr/share/foreman/vendor/ruby/1.
ck in instrument'
/usr/share/foreman/vendor/ruby/1.
p:20:in "instrument'
/usr/share/foreman/vendor/ruby/1.
trument'
/usr/share/foreman/vendor/ruby/1.
n "instrument'
/usr/share/foreman/vendor/ruby/1.
“render'
/usr/share/foreman/vendor/ruby/1.
_partial’

n

/usr/share/foreman/vendor/ruby/1.
L}

/usr/share/foreman/vendor/ruby/1.
“render'

9

.1/gems/actionpack-3.2.

21/1lib/action_view/template.rb:143:in "render'

.1/gems/deface-0.9.1/1lib/deface/action_view_extensions.rb:37:in "render'

.1/gems/actionpack-3.2.
.1/gems/actionpack-3.2.

.1/gems/actionpack-3.2.

21/lib/action_view/renderer/partial_renderer.rb:265:1
21/1lib/action_view/renderer/partial_renderer.rb:238:1

21/1lib/action_view/renderer/abstract_renderer.rb:38:1

.1/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in “blo

.1/gems/activesupport-3.2.21/1lib/active_support/notifications/instrumenter.r

.1/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in

.1/gems/actionpack-3.2.
.1/gems/actionpack-3.2.
.1/gems/actionpack-3.2.
.1/gems/actionpack-3.2.

.1/gems/actionpack-3.2.

/usr/share/foreman/app/helpers/dashboard_helper.rb:17:in
/usr/share/foreman/app/views/dashboard/index.html.erb:20:

aloe’
/usr/share/foreman/vendor/ruby/1.
lock in capture'
/usr/share/foreman/vendor/ruby/1.
with_output_buffer'
/usr/share/foreman/vendor/ruby/1.
apture'
/usr/share/foreman/vendor/ruby/1.
nt_tag'

9

9

9

9

.1/gems/actionpack-3.2.
.1/gems/actionpack-3.2.
.1/gems/actionpack-3.2.

.1/gems/actionpack-3.2.

/usr/share/foreman/app/views/dashboard/index.html.erb:14:
/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.

rb:91:in “each'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.

rb:91:in "method_missing'

/usr/share/foreman/app/views/dashboard/index.html.erb:13:

/usr/share/foreman/vendor/ruby/1.
rl
/usr/share/foreman/vendor/ruby/1.
trument'
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
n “block (2 levels)
/usr/share/foreman/vendor/ruby/1.
"block in instrument'
/usr/share/foreman/vendor/ruby/1.
ck in instrument'

n

/usr/share/foreman/vendor/ruby/1.
b:20:in "“instrument'
/usr/share/foreman/vendor/ruby/1.
trument'
/usr/share/foreman/vendor/ruby/1.
n "~ instrument'
/usr/share/foreman/vendor/ruby/1.
n "block in render_template'
/usr/share/foreman/vendor/ruby/1.
n ‘render_with_layout'
/usr/share/foreman/vendor/ruby/1.
n “render_template'
/usr/share/foreman/vendor/ruby/1.
n ‘render'
/usr/share/foreman/vendor/ruby/1.
_template'’
/usr/share/foreman/vendor/ruby/1.
A}
/usr/share/foreman/vendor/ruby/1.
er_template'
/usr/share/foreman/vendor/ruby/1.
9

O

9.
9.
9.
in render_template'

9

9

.1/gems/actionpack-3.2.

1/gems/actionpack-3.2.
1/gems/actionpack-3.2.

.1/gems/actionpack-3.2.

1/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:125:in

“ins
21/1lib/action_view/renderer/abstract_renderer.rb:38:1
21/1lib/action_view/renderer/partial_renderer.rb:237:1
21/1lib/action_view/renderer/renderer.rb:41:in "render
21/1lib/action_view/renderer/renderer.rb:15:in 'render

21/lib/action_view/helpers/rendering_helper.rb:24:in

‘render_widget'

in “block (2 levels) in _3965cfc44£487£914de6b8b35446

21/1ib/action_view/helpers/capture_helper.rb:40:in b
21/1lib/action_view/helpers/capture_helper.rb:187:in
21/1lib/action_view/helpers/capture_helper.rb:40:in “c
21/1ib/action_view/helpers/tag_helper.rb:95:in "conte

"block in _3965cfc44f487£f914de6b8b35446al106"
2.21/1lib/active_record/associations/collection_proxy.

in

2.21/1lib/active_record/associations/collection_proxy.

in " _3965cfc44f487£f914de6b8b35446al106"'

21/1lib/action_view/template.rb:145:in “block in rende
“ins

21/1lib/action_view/template.rb:143:in "render'

1/gems/deface-0.9.1/1ib/deface/action_view_extensions.rb:37:in "render'

21/lib/action_view/renderer/template_renderer.rb:47:1

21/1lib/action_view/renderer/abstract_renderer.rb:38:1i

.1/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in “blo

.1/gems/activesupport-3.2.21/1lib/active_support/notifications/instrumenter.r

.1/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in

.1/gems/actionpack-3.2.
.1/gems/actionpack-3.
.1/gems/actionpack-3.
.1/gems/actionpack-3.
.1/gems/actionpack-3.
.1/gems/actionpack-3.
.1/gems/actionpack-3.
.1/gems/actionpack-3.

.1/gems/actionpack-3.

.21/1lib/action_view/renderer/template_renderer.
.21/1lib/action_view/renderer/template_renderer.
.21/1lib/action_view/renderer/template_renderer.
.21/1lib/action_view/renderer/template_renderer.
.21/1ib/action_view/renderer/renderer.rb:36:in
.21/1lib/action_view/renderer/renderer.rb:17:1in

.21/1lib/abstract_controller/rendering.rb:110:in

“ins
21/1lib/action_view/renderer/abstract_renderer.rb:38:
rb:46:
rb:54:
rb:45:
rb:18:
“render

‘render

*_rend

.21/1lib/action_controller/metal/streaming.rb:225:in
render_template’

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/abstract_controller/rendering.rb:103:in ' rende

r_to_body'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_controller/metal/renderers.rb:28:in "re

nder_to_body"'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_controller/metal/compatibility.rb:50:1in

‘render_to_body'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/abstract_controller/rendering.rb:88:in render

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_controller/metal/rendering.rb:16:in "re

nder'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:40:

in “block (2 levels) in render'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/core_ext/benchmark.rb:5:1in

block in ms'
/usr/lib/ruby/1.9.1/benchmark.rb:295:in ‘realtime'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/core_ext/benchmark.rb:5:1in

ms'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack—-3.2.21/1ib/action_controller/metal/instrumentation.rb:40:

in “block in render'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:83:

in “cleanup_view_runtime'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1lib/active_record/railties/controller_runtime.rb

:24:in “cleanup_view_runtime'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_controller/metal/instrumentation.rb:39:

in “render'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_controller/metal/implicit_render.rb:10:

in “default_render'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_controller/metal/mime_responds.rb:196:1

n “respond_to'
/usr/share/foreman/app/controllers/dashboard_controller.rb:7:in " index'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_controller/metal/implicit_render.rb:4:1i

n “send_action'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/abstract_controller/base.rb:167:in “process_ac

tion'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_controller/metal/rendering.rb:10:in “pr

ocess_action'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/abstract_controller/callbacks.rb:18:in “block

in process_action'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.

4 levels) in _run_ 358134373969940710__process_action_ 2149090744726169724__callbacks'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

n _conditional_callback_around_7839"'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

ck_around_5619'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

ional_callback_around_7839'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.

3 levels) in _run_ 358134373969940710__process_action_ 2149090744726169724__callbacks'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

n _conditional_callback_around_7838"
/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in 'set_timezone'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

ional_callback_around_7838"

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

2 levels) in _run_ 358134373969940710__process_action_ 2149090744726169724__callbacks'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

n _conditional_callback_around_7837"
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in ‘clear_thread'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.

ional_callback_around_7837"'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

n _run__ 358134373969940710__process_action_ 2149090744726169724__callbacks'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

n _conditional_callback_around_7836"

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

ck_around_13"

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport—-3.2.21/1ib/active_support/callbacks.

ional_callback_around_7836"

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

58134373969940710__process_action_ 2149090744726169724__callbacks'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.

allback'
rb:660:1in

rb:

rb:
rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:
rb:

rb:

rb:

rb:

215:

326:
310:

214:

637:

215:

214:

636:

215:

214:

448:

2158

326:
310:

214:

414:

405:

in

in
in

in

in

in

in

in

in

in

in

in

in
in

in

in

in

"block (

"block i

“around'
_callba

_condit

"block (

"block i

_condit

“block (

"block i

_condit

"block i

“block 1

“around'
*_callba

" _condit

run__3

‘__run_c
/usr/share/foreman/vendor/ruby/1.
ocess_action_callbacks'
/usr/share/foreman/vendor/ruby/1.
backs'
/usr/share/foreman/vendor/ruby/1.
s_action'
/usr/share/foreman/vendor/ruby/1.
ss_action'
/usr/share/foreman/vendor/ruby/1.
in “block in process_action'
/usr/share/foreman/vendor/ruby/1.
ck in instrument'
/usr/share/foreman/vendor/ruby/1.
b:20:in " instrument'
/usr/share/foreman/vendor/ruby/1.
trument'
/usr/share/foreman/vendor/ruby/1.
in “process_action'
/usr/share/foreman/vendor/ruby/1.
in “process_action'
/usr/share/foreman/vendor/ruby/1.
:18:in “process_action'
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
st
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
in “dispatch'
/usr/share/foreman/vendor/ruby/1.
tion'
/usr/share/foreman/vendor/ruby/1.
11!
/usr/share/foreman/vendor/ruby/1.
spatch'
/usr/share/foreman/vendor/ruby/1.
11"
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
all'
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
“call!
/usr/share/foreman/vendor/ruby/1.
ort.rb:17:in “call’
/usr/share/foreman/vendor/ruby/1.

n

/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
A}

/usr/share/foreman/vendor/ruby/1.

:in “call!

9

.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:385:in "_run_pr
.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:81l:in "run_call
.1/gems/actionpack-3.2.21/1lib/abstract_controller/callbacks.rb:17:in ‘proces
.1/gems/actionpack-3.2.21/1lib/action_controller/metal/rescue.rb:29:in “proce
.1/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:30:
.1/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in ‘blo
.1/gems/activesupport-3.2.21/1lib/active_support/notifications/instrumenter.r
.1/gems/activesupport-3.2.21/1lib/active_support/notifications.rb:123:in “ins
.1/gems/actionpack-3.2.21/1lib/action_controller/metal/instrumentation.rb:29:
.1/gems/actionpack—-3.2.21/1lib/action_controller/metal/params_wrapper.rb:207:
2.21/1lib/active_record/railties/controller_runtime.rb

.1/gems/activerecord-3.

.1/gems/actionpack-3.
.1/gems/actionpack-3.

.21/1lib/abstract_controller/base.rb:121:in “process'
.21/1ib/abstract_controller/rendering.rb:45:in “proces

.1/gems/actionpack-3.2.21/1lib/action_controller/metal.rb:203:in “dispatch'

.1/gems/actionpack-3.2.21/1lib/action_controller/metal/rack_delegation.rb:14:
.1/gems/actionpack-3.2.21/1lib/action_controller/metal.rb:246:in “block in ac
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_set.rb:73:in ‘ca
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_set.rb:73:in “di
.1/gems/actionpack—-3.2.21/1lib/action_dispatch/routing/route_set.rb:36:in ‘ca
.1/gems/journey-1.0.4/1ib/journey/router.rb:68:in "block in call'
.1/gems/journey-1.0.4/1ib/journey/router.rb:56:in “each'
.1/gems/journey-1.0.4/1ib/journey/router.rb:56:in “call'
.1/gems/actionpack-3.2.21/1lib/action_dispatch/routing/route_set.rb:608:in “c

.1/gems/apipie-rails-0.2.6/lib/apipie/static_dispatcher.rb:65:in ‘call'
.1/gems/apipie-rails-0.2.6/1lib/apipie/extractor/recorder.rb:97:in “call'
.1/gems/apipie-rails-0.2.6/1lib/apipie/middleware/checksum_in_headers.rb:27:1i

.1/gems/actionpack—-3.2.21/1lib/action_dispatch/middleware/best_standards_supp
.1/gems/rack-1.4.7/1lib/rack/etag.rb:23:in “call'
.1/gems/rack-1.4.7/1lib/rack/conditionalget.rb:25:in “call'

.1/gems/actionpack—-3.2.21/1lib/action_dispatch/middleware/head.rb:14:in “call

.1/gems/actionpack—-3.2.21/1lib/action_dispatch/middleware/params_parser.rb:21

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call’

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/flash.rb:242:in “ca
11!

/usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/1ib/rack/session/abstract/id.rb:210:in "context'
/usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/1lib/rack/session/abstract/id.rb:205:in “call'
/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/cookies.rb:341:in
call'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1lib/active_record/query_cache.rb:64:in “call'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/1lib/active_record/connection_adapters/abstract/c
onnection_pool.rb:479:in “call'
/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1ib/action_dispatch/middleware/callbacks.rb:28:1in
"block in call'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:405:in *_run__ 5
27822805773414159__call_ 3987231351621446844__callbacks'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:405:in ~__run_c
allback'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1ib/active_support/callbacks.rb:385:in _run_ca
11_callbacks'
/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/1lib/active_support/callbacks.rb:81:in “run_call

backs'

/usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/callbacks.rb:27:in

‘call!
/usr/share/foreman/vendor/ruby/1.

‘call!

/usr/share/foreman/vendor/ruby/1.

:16:in “call’

/usr/share/foreman/vendor/ruby/1.

56:in ‘call'

/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.

call!

/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.

b:72:in “call'

/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.

11

/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.
/usr/share/foreman/vendor/ruby/1.

ing'

/usr/share/foreman/vendor/ruby/1.9
.9.

/usr/share/foreman/vendor/ruby/1.9

/usr/share/foreman/vendor/ruby/1.

/usr/share/foreman/vendor/ruby/1

.1/gems/actionpack—-3.2.21/1lib/action_dispatch/middleware/remote_ip.rb:31:1in
.1/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/debug_exceptions.rb
.1/gems/actionpack—-3.2.21/1lib/action_dispatch/middleware/show_exceptions.rb:
.1/gems/railties-3.2.21/1ib/rails/rack/logger.rb:32:in “call_app'
.1/gems/railties—3.2.21/1ib/rails/rack/logger.rb:18:in “call'
.1/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/request_id.rb:22:in
.1/gems/rack-1.4.7/1lib/rack/methodoverride.rb:21:in “call'
.1/gems/rack-1.4.7/1lib/rack/runtime.rb:17:in “call’

.1/gems/activesupport-3.2.21/1lib/active_support/cache/strategy/local_cache.r

.1/gems/rack-1.4.7/1lib/rack/lock.rb:15:in “call'

9.1/gems/actionpack-3.2.21/1lib/action_dispatch/middleware/static.rb:83:in “ca
.1/gems/rack-cache-1.2/1lib/rack/cache/context.rb:136:in " forward'
.1/gems/rack-cache-1.2/1lib/rack/cache/context.rb:245:in " fetch'
.1/gems/rack-cache-1.2/1lib/rack/cache/context.rb:185:in " lookup'
.1/gems/rack-cache-1.2/1lib/rack/cache/context.rb:66:in “call!’
.1/gems/rack-cache-1.2/1lib/rack/cache/context.rb:51:in ‘call"
.1/gems/railties—-3.2.21/1lib/rails/engine.rb:484:in “call'
.1/gems/railties-3.2.21/1lib/rails/application.rb:231:in “call'
.1/gems/railties-3.2.21/1lib/rails/railtie/configurable.rb:30:in "method_miss

.1/gems/rack-1.4.7/1lib/rack/builder.rb:134:in “call'

1/gems/rack-1.4.7/1lib/rack/urlmap.rb:64:in “block in call'

.1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “each'
9o

1/gems/rack-1.4.7/1lib/rack/urlmap.rb:49:in “call’

/usr/lib/ruby/1.9.1/phusion_passenger/rack/request_handler.rb:97:in ‘process_request'
/usr/lib/ruby/1.9.1/phusion_passenger/abstract_request_handler.rb:520:in "“accept_and_process_next_request'

/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.

9
9
9
9
9
9
9
9
9
9
9
/usr/lib/ruby/1.9

.1/phusion_passenger/abstract_request_handler.rb:274:in “main_loop'
.1/phusion_passenger/rack/application_spawner.rb:206:1in " start_request_handler'
.1/phusion_passenger/rack/application_spawner.rb:171:in ‘block in handle_spawn_application’
.1/phusion_passenger/utils.rb:470:in "“safe_fork'
.1/phusion_passenger/rack/application_spawner.rb:166:in “handle_spawn_application'
.1/phusion_passenger/abstract_server.rb:357:in "server_main_loop'
.1/phusion_passenger/abstract_server.rb:206:in 'start_synchronously'
.1/phusion_passenger/abstract_server.rb:180:in “start'
.1/phusion_passenger/rack/application_spawner.rb:129:in ‘start'
.1/phusion_passenger/spawn_manager.rb:253:in “block (2 levels) in spawn_rack_application'
.1/phusion_passenger/abstract_server_collection.rb:132:in " lookup_or_add'
.1/phusion_passenger/spawn_manager.rb:246:in “block in spawn_rack_application'

/usr/lib/ruby/1.9.1/phusion_passenger/abstract_server_collection.rb:82:in “block in synchronize'

:10:in "synchronize'

/usr/lib/ruby/1.9.1/phusion_passenger/abstract_server_collection.rb:79:in "synchronize'
/usr/lib/ruby/1.9.1/phusion_passenger/spawn_manager.rb:244:in " spawn_rack_application’

/usr/lib/ruby/1.

.1/phusion_passenger/spawn_manager.rb:137:in "~ spawn_application’

9
/usr/lib/ruby/1.9.1/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_application'
9

/usr/lib/ruby/1.

.1/phusion_passenger/abstract_server.rb:357:in "server_main_loop'

/usr/lib/ruby/1.9.1/phusion_passenger/abstract_server.rb:206:in "start_synchronously'
/usr/share/phusion-passenger/helper-scripts/passenger-spawn-server:99:in

#2 - 09/07/2015 09:51 AM - Marek Hulan
- Status changed from New to Assigned

- Assignee set to Marek Hulan

#3 - 09/07/2015 09:51 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-tasks/pull/135 added

- Pull request deleted ()

#4 - 09/07/2015 11:01 AM - Marek Hulan

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e2b4009e52b88f256013889c9592404fe41e1340.
https://projects.theforeman.org/projects/foreman-tasks/repository/54/revisions/e2b4009e52b88f256013889c9592404fe41e1340

#5 - 09/10/2015 10:16 AM - Dominic Cleal

- Has duplicate Bug #11765: Dashboard error - undefined method “count’ for #<ForemanTasks::Task state: "stopped"”, result: "success"> added
